Subject: Webig doesn't work
Description

On linux, libwww doesn't work.

I tried with the tgz 5.4, the latest cvs, the ubuntu version.

In all 3 versions, we receive no answer from the web so libwww time out.

The latest trace before timeout is:

Timer....... Found timer 2F2D9788 with callback 01183260, context 2F496A00, and relative timeout 60000

We never receive this line (only on windows):

Host Event.. WRITE passed to `http://...'

To have the log, you add in the init of libwww.cpp:

WWW_TraceFlag = SHOW_ALL_TRACE;

You need libwww to be compiled with debug.
2 options to make webig working on linux:
    -  Find the bug in libwww
    -  Get the webpage with curl and parsing the html using libxml2 (the both lib are already used in ryzom)

History
#1 - 08/04/2010 07:31 pm - rti

same issue on mac os x (libwww 5.4.0_1 from macports)

#2 - 08/07/2010 11:20 pm - Naush

vl wrote:

I tried with the tgz 5.4, the latest cvs, the ubuntu version.

Red hat flag a 5.4.1 with many CVE corrected

In all 3 versions, we receive no answer from the web so libwww time out.
http://.


You have no answer because you don't send any thing to remote server.
from a TCP point of view, TCP 3-Way Handshake (SYN,SYN-ACK,ACK) is ok, socket is opened.

    -  Find the bug in libwww

We are not calling libwww event pump function ?
libwww under windows use the windows system callback to do so, but under linux ... ? I think we must call HTEventList_loop in group_html

    -  Get the webpage with curl and parsing the html using libxml2 (the both lib are already used in ryzom)

This is the long term solution, removing this crappy library :)

#3 - 09/24/2010 05:09 pm - vl
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r831.

#4 - 09/24/2010 05:09 pm - vl
- Assignee set to vl
- Target version set to Version 0.8.0

#5 - 09/24/2010 05:11 pm - vl

Thank you Naush for your idea. Indeed the problem came from the non parsing of the event.

HTEventList_loop is an infinite loop (not return) so we had to add some code to make it work but now it done!

#6 - 01/08/2011 06:36 pm - kervala
- Status changed from Resolved to Closed
